### Method

# Clutter Timeline get_progress_mode

#### Declaration [src]

    ClutterAnimationMode
    clutter_timeline_get_progress_mode (
      ClutterTimeline* timeline
    )

#### Description [src]

Retrieves the progress mode set using `clutter_timeline_set_progress_mode()` or `clutter_timeline_set_progress_func()`.

Gets property | `Clutter.Timeline:progress-mode`

#### Return value

Type: `ClutterAnimationMode`

A `ClutterAnimationMode`.